#pragma once
#include <iostream>
#include <vector>

using namespace std;

class Attribute{
	vector<string> values;
	string name;
	string type;
	bool key;
	int size;
	int limit;
	
public:
	Attribute();
	Attribute(string n, string t, bool k);
	Attribute(string n, string t, bool k, int s);
	void addCell(string v);
	void removeCell(int index);
	string operator[](int i);
	vector<string> getValues();
	string getName();
	void setName(string s);
	void setValue(string s, int index);
	string getType();
	bool isKey();
	int getSize();
	void display();
	void clearAllValues();
};